## ltrace 0.3.1

=== sysdeps/Linux/Makefile ===
ARCH	:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/)

CFLAGS	+=	-I$(TOPDIR)/sysdeps/Linux/$(ARCH)

OBJ	=	trace.o proc.o

all:		sysdep.h signalent.h syscallent.h ../sysdep.o

sysdep.h:	$(ARCH)/arch.h
		cat $(ARCH)/arch.h > sysdep.h

signalent.h:
		cp $(ARCH)/signalent.h signalent.h

syscallent.h:
		cp $(ARCH)/syscallent.h syscallent.h

../sysdep.o:	os.o $(ARCH)/arch.o
		$(LD) -r -o ../sysdep.o os.o $(ARCH)/arch.o

os.o:		$(OBJ)
		$(LD) -r -o os.o $(OBJ)

$(ARCH)/arch.o:	dummy
		$(MAKE) -C $(ARCH)

clean:
		$(MAKE) -C $(ARCH) clean
		rm -f $(OBJ) sysdep.h signalent.h syscallent.h os.o sysdep.o ../sysdep.o

dummy:

=== sysdeps/Linux/i386/Makefile ===
OBJ	=	breakpoint.o trace.o regs.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/Linux/sparc/Makefile ===
OBJ	=	breakpoint.o regs.o trace.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== debian/changelog ===
ltrace (0.3.1) frozen unstable; urgency=low

  * setgid programs had their uid and gid swapped!  Fixed.

 -- Juan Cespedes <cespedes@debian.org>  Wed, 29 Apr 1998 19:25:11 +0200

ltrace (0.3.0) unstable; urgency=low

  * Preliminary autoconf support
  * Switched to getopt()
  * New option: -C (demangle C++ names)
  * New options: --help, --version
  * Display "format" (printf-like) argument types
  * Updated manual page
  * New option: -e

 -- Juan Cespedes <cespedes@debian.org>  Sat, 25 Apr 1998 14:21:59 +0200

ltrace (0.2.9) frozen unstable; urgency=low

  * Bug#20616 wasn't completely fixed; it didn't work with some programs (Fixed)
  * Stopping ltrace with ^C DIDN'T WORK if -p option is not used!! (Fixed)
  * Option -f caused program to segfault; fixed
  * Fixed nasty bug about executing set[ug]id binaries:
    When executing a program fails, don't left the program STOPPED.
  * Make ltrace work with all setuid and setgid binaries when invoked as root

 -- Juan Cespedes <cespedes@debian.org>  Sat, 11 Apr 1998 22:50:38 +0200

ltrace (0.2.8) frozen unstable; urgency=low

  * Fix important bug regarding -p: disable all breakpoints on exit (Bug#20616)
  * Compile cleanly on libc5
  * Added `-t' option (Bug#20615)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  4 Apr 1998 08:34:03 +0200

ltrace (0.2.7) unstable; urgency=low

  * Some minor fixes

 -- Juan Cespedes <cespedes@debian.org>  Sun, 15 Mar 1998 14:01:40 +0100

ltrace (0.2.6) unstable; urgency=low

  * Option `-f' now works (but it fails to attach some processes...)
  * Output is now more similar to strace's

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Mar 1998 20:50:16 +0100

ltrace (0.2.5) unstable; urgency=low

  * After a successful execve(), library calls are now logged
  * Enhanced displaying of non-printable chars
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 19:16:47 +0100

ltrace (0.2.4) unstable; urgency=low

  * Option `-p' now works (but programs fail when ltrace is interrupted)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 00:29:10 +0100

ltrace (0.2.3) unstable; urgency=low

  * Don't display `...' in strings when limit of bytes is reached
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 23:33:14 +0100

ltrace (0.2.2) unstable; urgency=low

  * After a successful execve(), syscalls are now logged correctly

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 00:02:35 +0100

ltrace (0.2.1) unstable; urgency=low

  * Added -u option (run command as other username)
  * Updated manual page a bit

 -- Juan Cespedes <cespedes@debian.org>  Tue, 10 Mar 1998 00:08:38 +0100

ltrace (0.2.0) unstable; urgency=low

  * First `unstable' release
  * Complete re-structured all the code to be able to add support for
    different architectures (but only i386 arch is supported in this
    version)
  * Log also return values
  * Log arguments (and return values) for syscalls
  * Added preliminary support for various simultaneous processes
  * getopt-like options
  * New option: -a (alignment column)
  * New option: -L (don't display library calls)
  * New option: -s (maximum # of chars in strings)
  * Now it reads config files with function names and parameter types
  * Programs using clone() should work ok now
  * debian/rules: gzipped only big files in /usr/doc/ltrace
  * New Standards-Version: 2.4.0.0
  * beginning to work on sparc port (not yet done)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  8 Mar 1998 22:27:30 +0100

ltrace (0.1.7) experimental; urgency=low

  * Internal release.
  * New Standards-Version (2.3.0.1)
  * Clean up structures a bit
  * Trying to log return values...

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Oct 1997 19:53:20 +0100

ltrace (0.1.6) experimental; urgency=low

  * New maintainer address
  * New Standards-Version

 -- Juan Cespedes <cespedes@debian.org>  Thu, 11 Sep 1997 23:22:32 +0200

ltrace (0.1.5) experimental; urgency=low

  * `command' is now searched in the PATH

 -- Juan Cespedes <cespedes@etsit.upm.es>  Wed, 27 Aug 1997 22:27:33 +0200

ltrace (0.1.4) experimental; urgency=low

  * Updated execute_process()
  * No longer uses signals to wait for children. Should be a little faster.
  * Now every function uses output.c:send_*() instead of `FILE * output'

 -- Juan Cespedes <cespedes@etsit.upm.es>  Mon, 25 Aug 1997 16:08:36 +0200

ltrace (0.1.3) experimental; urgency=low

  * Added options `-i', `-S'
  * Added syscall names
  * Added signal names
  * Added `output.c', `signal.c'

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sun, 24 Aug 1997 01:45:49 +0200

ltrace (0.1.2) experimental; urgency=low

  * Updated ``TODO''
  * Added process.c:execute_process
  * Added i386.c:type_of_stop
  * Hopefully, system dependent stuff is now only in i386.[ch] and process.[ch]
  * `-d' can now be used many times: many levels of debug
  * removed breakpoint for children detecting fork()s.
    Now, *every* program should work ok
  * struct process now also has a field for the process filename
  * Added "syscall.c" with a list of system call names in Linux/i386

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat, 23 Aug 1997 15:00:23 +0200

ltrace (0.1.1) experimental; urgency=low

  * Added ``TODO''
  * Added symbols.c:disable_all_breakpoints
  * Added ``process.[ch]'': init_sighandler, pid2proc
  * Removed ``trace.c''
  * Added rudimentary support for multiple processes
  * Now tracing syscalls (fork() needs a special treatment (TODO))
  * Added process.c:detach_process
  * Added i386.c:trace_me,untrace_pid

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat, 23 Aug 1997 02:09:14 +0200

ltrace (0.1.0) experimental; urgency=low

  * Some clean-ups
  * Added simple manual page

 -- Juan Cespedes <cespedes@etsit.upm.es>  Thu, 21 Aug 1997 17:01:36 +0200

ltrace (0.0.1997.08.14) experimental; urgency=low

  * Still re-structuring code... new file: symbols.c



=== debian/control ===
Source: ltrace
Section: utils
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 2.4.0.0

Package: ltrace
Architecture: i386
Depends: ${shlibs:Depends}
Description: A library call tracer
 ltrace is a library call tracer, i.e. a debugging tool which prints out
 a trace of all the dynamic library calls made by another process/program.
 .
 It also displays system calls, as well as `strace', but strace still
 does a better job displaying arguments to system calls.
 .
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have the source handy.
 .
 This is still a work in progress, so some things may fail or don't work
 as expected.

=== debian/rules ===
#! /usr/bin/make -f 
#
# Copyright (C) 1997,1998 Juan Cespedes <cespedes@debian.org>

.PHONY:		binary binary-indep binary-arch clean

build:		Makefile
		$(checkdir)
		$(MAKE)
		touch build

Makefile:	Makefile.in configure
		$(checkdir)
		./configure --prefix=/usr

configure:	configure.in
		$(checkdir)
		autoconf
		autoheader

binary:		binary-arch binary-indep

binary-indep:

binary-arch:	build
		$(checkdir)
		test root = "`whoami`" || exit 1
		$(RM) -rf debian/tmp

		install -d debian/tmp/DEBIAN
		cp debian/conffiles debian/tmp/DEBIAN
		$(MAKE) install DESTDIR=`pwd`/debian/tmp
		$(RM) debian/tmp/usr/doc/ltrace/COPYING
		cp -p debian/changelog debian/tmp/usr/doc/ltrace
		gzip -9f debian/tmp/usr/doc/ltrace/README debian/tmp/usr/doc/ltrace/changelog
		cp -p debian/copyright debian/tmp/usr/doc/ltrace
		gzip -9f debian/tmp/usr/man/man1/*
		dpkg-shlibdeps debian/tmp/usr/bin/ltrace
		dpkg-gencontrol
		chown -R root.root debian/tmp
		chmod -R u+rw,go-w debian/tmp
		dpkg --build debian/tmp ..

clean:
		$(checkdir)
		$(RM) -f build debian/files debian/substvars
		$(MAKE) distclean || $(MAKE) -f Makefile.in distclean
		$(RM) -rf debian/tmp

define checkdir
		test -f ltrace.c -a -f debian/rules
endef

## ltrace 0.3.6

=== debian/changelog ===
ltrace (0.3.6) unstable; urgency=low

  * Added m68k port (Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>) (Bug#27075)
  * Changed "int pid" with "pid_t pid" everywhere
  * Fixed return type of some functions from "int" to "void *" (thanks, Roman)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 25 Sep 1998 14:48:37 +0200

ltrace (0.3.5) unstable; urgency=low

  * Added ARMLinux port (Pat Beirne <pbeirne@home.com>) (Bug#27040)
  * Fixed minor things in options.c

 -- Juan Cespedes <cespedes@debian.org>  Thu, 24 Sep 1998 13:18:01 +0200

ltrace (0.3.4) unstable; urgency=low

  * Added "ltrace.spec" to build a .rpm binary file.
  * Added "-r" option

 -- Juan Cespedes <cespedes@debian.org>  Sun, 20 Sep 1998 21:22:05 +0200

ltrace (0.3.3) unstable; urgency=low

  * Fixed a little bug in display_string
  * A few more functions added to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Sun,  6 Sep 1998 14:03:10 +0200

ltrace (0.3.2) unstable; urgency=low

  * Make the output line-buffered (Bug#22874)
  * New Standards-Version (2.4.1)
  * Make it compile cleanly with glibc 2.0.7

 -- Juan Cespedes <cespedes@debian.org>  Tue, 14 Jul 1998 13:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Juan Cespedes <cespedes@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 2.4.1
 
 Package: ltrace
-Architecture: i386
+Architecture: i386 arm m68k
 Depends: ${shlibs:Depends}
 Description: A library call tracer
  ltrace is a library call tracer, i.e. a debugging tool which prints out

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 		cp debian/conffiles debian/tmp/DEBIAN
 		$(MAKE) install DESTDIR=`pwd`/debian/tmp
 		$(RM) debian/tmp/usr/doc/ltrace/COPYING
-		cp -p debian/changelog debian/tmp/usr/doc/ltrace
+		mv debian/tmp/usr/doc/ltrace/ChangeLog debian/tmp/usr/doc/ltrace/changelog
 		gzip -9f debian/tmp/usr/doc/ltrace/README debian/tmp/usr/doc/ltrace/changelog
 		cp -p debian/copyright debian/tmp/usr/doc/ltrace
 		gzip -9f debian/tmp/usr/man/man1/*

## ltrace 0.3.10

=== sysdeps/linux-gnu/Makefile ===
ARCH	:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

CFLAGS	+=	-I$(TOPDIR)/sysdeps/Linux/$(ARCH)

OBJ	=	trace.o proc.o

all:		sysdep.h signalent.h syscallent.h ../sysdep.o

sysdep.h:	$(ARCH)/arch.h
		cat $(ARCH)/arch.h > sysdep.h

signalent.h:
		cp $(ARCH)/signalent.h signalent.h

syscallent.h:
		cp $(ARCH)/syscallent.h syscallent.h

../sysdep.o:	os.o $(ARCH)/arch.o
		$(LD) -r -o ../sysdep.o os.o $(ARCH)/arch.o

os.o:		$(OBJ)
		$(LD) -r -o os.o $(OBJ)

$(ARCH)/arch.o:	dummy
		$(MAKE) -C $(ARCH)

clean:
		$(MAKE) -C $(ARCH) clean
		rm -f $(OBJ) sysdep.h signalent.h syscallent.h os.o sysdep.o ../sysdep.o

dummy:

=== sysdeps/linux-gnu/arm/Makefile ===
OBJ	=	breakpoint.o trace.o regs.o

all:		arch.o

arch.o:		$(OBJ) arch.h
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== debian/changelog ===
ltrace (0.3.10) unstable; urgency=low

  * Added C++ demangle (again)
  * Added correct Build-Depends

 -- Juan Cespedes <cespedes@debian.org>  Thu, 23 Dec 1999 00:22:33 +0100

ltrace (0.3.9) unstable; urgency=low

  * New Standards-Version (3.1.1)
  * Fixed Lintian bugs

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 17:49:40 +0100

ltrace (0.3.8) unstable; urgency=low

  * glibc-2.1 does no longer need `_GNU_SOURCE' defined to use <getopt.h>
  * Changed description of package; adopted Red Hat's one
    (thanks to whoever wrote it)
  * Close all the file descriptors used before executing program (close-on-exec)
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Used GNU autoconf instead of "uname" to guess host system type
  * Install man page in /usr/share/man instead of /usr/man
  * Added a few functions to /etc/ltrace.conf
  * Updated list of syscalls and signals to linux-2.2.12
  * Fixed bugs in C++ demangle (Morten Eriksen <mortene@sim.no>)
  * New Standards-Version: 3.0.1 (but keeping docs in /usr/doc)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 30 Aug 1999 19:34:47 +0200

ltrace (0.3.7) unstable; urgency=low

  * Minor fixes
  * Added minor patch from Alex Buell <alex.buell@tahallah.demon.co.uk>
    to be able to compile under glibc 2.1
  * Additions to config file from David Dyck <dcd@tc.fluke.com>
  * Clean-up Makefile a bit
  * Changed `LT_PT_*' with `ARGTYPE_*'
  * Display '\\' instead of '\'
  * Updated list of syscalls and signals to linux-2.2.5
  * Compiled against glibc-2.1

 -- Juan Cespedes <cespedes@debian.org>  Sat,  3 Apr 1999 03:21:50 +0200

=== debian/control ===
Source: ltrace
Section: utils
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 3.1.1
Build-Depends: binutils-dev

Package: ltrace
Architecture: i386 arm m68k
Depends: ${shlibs:Depends}
Description: Shows runtime library call information for dynamically linked executables
 ltrace is a program that simply runs the specified command until it exits.
 It intercepts and records the dynamic library calls which are called by
 the executed process and the signals which are received by that process.
 It can also intercept and print the system calls executed by the program.
 .
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have the source handy.

=== debian/rules ===
#! /usr/bin/make -f 
#
# Copyright (C) 1997-1999 Juan Cespedes <cespedes@debian.org>

.PHONY:		binary binary-indep binary-arch clean

build:		Makefile config.h
		$(checkdir)
		$(MAKE)
		touch build

Makefile config.h:	configure Makefile.in config.h.in
		$(checkdir)
		./configure --prefix=/usr

configure:	configure.in
		$(checkdir)
		autoconf

config.h.in:	configure.in
		$(checkdir)
		$(RM) config.h.in
		autoheader

binary:		binary-arch binary-indep

binary-indep:

binary-arch:	build
		$(checkdir)
		test root = "`whoami`" || exit 1
		$(RM) -rf debian/tmp

		install -d debian/tmp/DEBIAN
		cp debian/conffiles debian/tmp/DEBIAN
		$(MAKE) install DESTDIR=`pwd`/debian/tmp
		$(RM) debian/tmp/usr/doc/ltrace/COPYING
		mv debian/tmp/usr/doc/ltrace/ChangeLog debian/tmp/usr/doc/ltrace/changelog
		gzip -9f debian/tmp/usr/doc/ltrace/README debian/tmp/usr/doc/ltrace/changelog
		cp -p debian/copyright debian/tmp/usr/doc/ltrace
		mv debian/tmp/usr/doc debian/tmp/usr/share
		gzip -9f debian/tmp/usr/share/man/man1/*
		install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
		install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
		dpkg-shlibdeps debian/tmp/usr/bin/ltrace
		dpkg-gencontrol
		chown -R root.root debian/tmp
		chmod -R u=rwX,go=rX debian/tmp
		dpkg --build debian/tmp ..

clean:		configure config.h.in
		$(checkdir)
		$(RM) -f build debian/files debian/substvars
		-$(MAKE) distclean
		$(RM) -rf debian/tmp

define checkdir
		test -f ltrace.c -a -f debian/rules
endef

## ltrace 0.3.26

=== sysdeps/linux-gnu/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ARCH	:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
 
-CFLAGS	+=	-I$(TOPDIR)/sysdeps/Linux/$(ARCH)
+CFLAGS	+=	-I$(TOPDIR)/sysdeps/linux-gnu/$(ARCH)
 
-OBJ	=	trace.o proc.o
+OBJ	=	trace.o proc.o breakpoint.o
 
 all:		sysdep.h signalent.h syscallent.h ../sysdep.o

=== sysdeps/linux-gnu/arm/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJ	=	breakpoint.o trace.o regs.o
+OBJ	=	trace.o regs.o
 
 all:		arch.o

=== sysdeps/linux-gnu/ppc/Makefile ===
OBJ	=	trace.o regs.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/s390/Makefile ===
#
# S/390        version
# (C) Copyright        2001 IBM Poughkeepsie, IBM Corporation
#
OBJ	=	trace.o regs.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== debian/changelog ===
ltrace (0.3.26) unstable; urgency=low

  * Fixed `ltrace -L' in powerpc

 -- Juan Cespedes <cespedes@debian.org>  Sun, 31 Mar 2002 20:53:49 +0200

ltrace (0.3.25) unstable; urgency=low

  * Finally added powerpc support (Anton Blanchard <anton@samba.org>)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 31 Mar 2002 19:58:25 +0200

ltrace (0.3.24) unstable; urgency=low

  * Fixed 2 minor buffer overflows (closes: Bug#130746)
  * Obey --prefix, --sysconfdir, --mandir options in configure
  * Adding powerpc support (doesn't work yet)
    (Anton Blanchard <anton@samba.org>)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 27 Mar 2002 00:20:57 +0100

ltrace (0.3.23) unstable; urgency=low

  * Fixed missing include <unistd.h> in trace.c
  * One arch-dependent function less (continue_after_breakpoint)
  * Fixed S/390 port (it didn't compile yet...)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 18:58:36 +0100

ltrace (0.3.22) unstable; urgency=low

  * S/390: Removed extra target in sysdeps/linux-gnu/s390 which avoided
    compiling...

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 14:04:38 +0100

ltrace (0.3.21) unstable; urgency=low

  * Get rid of arch/breakpoint.c; we can do it arch-independent

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 02:37:46 +0100

ltrace (0.3.20) unstable; urgency=low

  * Added s390 port (Timothy R. Fesig <slate@us.ibm.com>)
  * Modified configure process to use ltrace.spec.in to generate
    ltrace.spec (Timothy R. Fesig <slate@us.ibm.com>)
  * Fixed some problems using ltrace.spec on Intel platform.
                (Timothy R. Fesig <slate@us.ibm.com>)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  2 Mar 2002 23:33:00 +0100

ltrace (0.3.19) unstable; urgency=low

  * Fixed small bug: "<unifinished...>" lines were sometimes incorrectly
    displayed
  * Added new functions to /etc/ltrace.conf (thanks to James R. Van Zandt
    <jrv@vanzandt.mv.com>)                          (closes: Bug#91349)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Mar 2002 21:05:37 +0100

ltrace (0.3.18) unstable; urgency=low

  * Simplified arch-dependent stuff
  * Updated list of syscalls and signals to Linux 2.4.18
  * Unified coding-style of all function declarations
  * Do not indent lines indicating signals, exit codes, etc
  * Updated description
  * fix off-by-one problem in checking syscall number (Tim Waugh
    <twaugh@redhat.com> fixed this problem in RedHat two years ago;
    thank you for NOT noticing me...)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Mar 2002 19:52:43 +0100

ltrace (0.3.17) unstable; urgency=low

  * Added a bit more debugging
  * Fixed display of return address in nested functions
  * Added posibility to exit from a function different from the last called
    one (this fixes "ltrace gnome-terminal", for example)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 25 Feb 2002 00:19:19 +0100

ltrace (0.3.16) unstable; urgency=low

  * ltrace works again after an execve is received (closes: Bug#108835)
  * Added prototypes for fnmatch() and bsearch()   (closes: Bug#106862)
  * Re-wrote short description so it does not exceed 60 chars
                                                   (closes: Bug#114682)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 10 Dec 2001 04:11:26 +0100

ltrace (0.3.15) unstable; urgency=low

  * Fixed `-n' option so that it displays correct output even when
    tracing several processes

 -- Juan Cespedes <cespedes@debian.org>  Mon,  9 Jul 2001 01:02:46 +0200

ltrace (0.3.14) unstable; urgency=low

  * Assume a syscall is always immediatly followed by a sysret
    in i386 (fixes bug which prevented ltrace to work properly
    in any program using signals); I will have to rethink all
    this and fix it correctly or port it to non-i386 archs
  * Fixed -n option: now it is done in output.c (this still has
    problems when tracing more than one process at a time)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  7 Jul 2001 20:56:42 +0200

ltrace (0.3.13) unstable; urgency=low

  * Fixed "ltrace -i", broken since version 0.3.11

 -- Juan Cespedes <cespedes@debian.org>  Tue,  3 Jul 2001 18:36:15 +0200

ltrace (0.3.12) unstable; urgency=low

  * Re-wrote of "elf.c" (Silvio Cesare <silvio@big.net.au>)
  * Added "--library" option (Silvio)
  * Updated list of syscalls and signals to Linux 2.4.5
  * Compile cleanly with gcc-3.0 (thanks to Frdric L. W. Meunier)
 
 -- Juan Cespedes <cespedes@debian.org>  Tue,  3 Jul 2001 00:43:25 +0200

ltrace (0.3.11) unstable; urgency=low

  * Clean up lintian bugs
  * Fixed small bug reading start of arguments in config file
  * Keep a stack of nested calls (Morten Eriksen, 1999-07-04)
  * Add "--indent" option (Morten Eriksen, 1999-07-04)
  * cleans up connection between a breakpoint address and
    a call instance (Morten Eriksen, 1999-07-04)
  * New Standards-Version (3.5.5)

 -- Juan Cespedes <cespedes@debian.org>  Mon,  2 Jul 2001 00:24:11 +0200

=== debian/control ===
Source: ltrace
Section: utils
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 3.5.5
Build-Depends: binutils-dev

Package: ltrace
Architecture: i386 arm m68k s390 powerpc
Depends: ${shlibs:Depends}
Description: Tracks runtime library calls in dynamically linked programs
 ltrace is a debugging program which runs a specified command until it
 exits.  While the command is executing, ltrace intercepts and records
 the dynamic library calls which are called by
 the executed process and the signals received by that process.
 It can also intercept and print the system calls executed by the program.
 .
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have the source handy.
 .
 You should install ltrace if you need a sysadmin tool for tracking the
 execution of processes.

=== debian/rules ===
#! /usr/bin/make -f 
#
# Copyright (C) 1997-2002 Juan Cespedes <cespedes@debian.org>

.PHONY:		binary binary-indep binary-arch clean

build:		Makefile config.h
		$(checkdir)
		$(MAKE)
		touch build

Makefile config.h:	configure Makefile.in config.h.in
		$(checkdir)
		./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc

configure:	configure.in
		$(checkdir)
		autoconf

config.h.in:	configure.in
		$(checkdir)
		$(RM) config.h.in
		autoheader

binary:		binary-arch binary-indep

binary-indep:

binary-arch:	build
		$(checkdir)
		test root = "`whoami`" || exit 1
		$(RM) -rf debian/tmp

		install -d debian/tmp/DEBIAN
		cp debian/conffiles debian/tmp/DEBIAN
		$(MAKE) install DESTDIR=`pwd`/debian/tmp docdir=/usr/share/doc/ltrace
		$(RM) debian/tmp/usr/share/doc/ltrace/COPYING
		mv debian/tmp/usr/share/doc/ltrace/ChangeLog debian/tmp/usr/share/doc/ltrace/changelog
		gzip -9f debian/tmp/usr/share/doc/ltrace/README debian/tmp/usr/share/doc/ltrace/changelog
		cp -p debian/copyright debian/tmp/usr/share/doc/ltrace
		gzip -9f debian/tmp/usr/share/man/man1/*
		install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
		install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
		dpkg-shlibdeps debian/tmp/usr/bin/ltrace
		dpkg-gencontrol -isp
		chown -R root.root debian/tmp
		chmod -R u=rwX,go=rX debian/tmp
		dpkg --build debian/tmp ..

clean:		configure config.h.in
		$(checkdir)
		$(RM) -f build debian/files debian/substvars
		-$(MAKE) distclean
		$(RM) -rf debian/tmp

define checkdir
		test -f ltrace.c -a -f debian/rules
endef

## ltrace 0.3.31

=== debian/changelog ===
ltrace (0.3.31) unstable; urgency=low

  * Added a lot of functions to ltrace.conf,
    thanks to Jakub Jelinek <jakub@redhat.com>    (closes: Bug#144518)
  * Fixed off-by-one problem in checking syscall number
  * Removed some warnings

 -- Juan Cespedes <cespedes@debian.org>  Tue, 04 Feb 2003 23:22:46 +0100

ltrace (0.3.30) unstable; urgency=low

  * Implemented -T option (show time spent inside each call)
  * Alphabetically sort options in help and manual page
  * Added -c option (summary of calls on program exit)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 03 Feb 2003 00:22:28 +0100

ltrace (0.3.29) unstable; urgency=low

  * Align return values depending on screen width
  * Updated list of syscalls and signals to Linux 2.4.20
  * Fixed bug introduced in 0.3.27 which caused -L option to segfault

 -- Juan Cespedes <cespedes@debian.org>  Sat, 01 Feb 2003 19:01:39 +0100

ltrace (0.3.28) unstable; urgency=medium

  * Fixed memory corruption when using execve() in a traced program
                                      (closes: Bug#160341, Bug#165626)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Jan 2003 19:51:28 +0100

ltrace (0.3.27) unstable; urgency=low

  * Removed dependency on libdl (it is no longer needed)
  * Wrote generic dictionary, used in demangle.c and breakpoints.c
  * Added debug.c for better debugging output

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Jan 2003 18:58:55 +0100

## ltrace 0.3.32

=== debian/changelog ===
ltrace (0.3.32) unstable; urgency=low

  * Fixed wrong version number
  * Removed unused file "opt_c.c"
  * Remove error when tracing no calls and doing fork()
  * Clean-up of sysdeps/linux-gnu/s390/trace.c
  * Clean-up of sysdeps/linux-gnu/ppc/trace.c
  * Make `--library' option really work           (closes: Bug#232321)
  * Merged several patches from SuSE:
    + Added some functions to ltrace.conf 
    + Handle 64-big ELF files nicely
    + AMD64 support
    + Updated list of syscalls for S/390
    + Improved some debugging statements
    Many thanks to Bernhard Kaindl <bk@suse.de> for his great work

 -- Juan Cespedes <cespedes@debian.org>  Sun, 04 Apr 2004 01:31:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Juan Cespedes <cespedes@debian.org>
-Standards-Version: 3.5.5
+Standards-Version: 3.5.6
 Build-Depends: binutils-dev
 
 Package: ltrace

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f 
 #
-# Copyright (C) 1997-2002 Juan Cespedes <cespedes@debian.org>
+# Copyright (C) 1997-2003 Juan Cespedes <cespedes@debian.org>
 
 .PHONY:		binary binary-indep binary-arch clean

## ltrace 0.3.33.backports.org.1

=== debian/changelog ===
ltrace (0.3.33.backports.org.1) unstable; urgency=low

  * recompiled for http://www.backports.org/

 -- Norbert Tretkowski <tretkowski@inittab.de>  Wed, 07 Jul 2004 12:32:11 +0200

ltrace (0.3.34) unstable; urgency=low

  * Fixed prototype declaration problem in arm, m68k, powerpc, s390
  * Added "amd64" to list of architectures        (closes: Bug#252756)
  * Sparc port is hopefully working               (closes: Bug#35524)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 07 Jul 2004 10:40:56 +0200

ltrace (0.3.33) unstable; urgency=low

  * Fixed two bugs, thanks to Mauro Meneghin <G1ld0@lycos.it>:
    + Cope correctly with breakpoint values greater than
      sizeof(long) bytes
    + Fixed small bug in option -r                (closes: Bug#212792)
  * Show help if no (or few) arguments are given, just like
    strace and fenris (thanks, Tomasz Wegrzanowski <taw@users.sf.net>)
  * Some fixes from Jakub Bogusz <qboosh@pld-linux.org>:
    + Small 64-bit cleanup of code
    + support for more than 6 function arguments on amd64
    + Adapted SPARC port from Jakub Jelinek <jakub@redhat.com>
    + Added alpha support
  
 -- Juan Cespedes <cespedes@debian.org>  Mon, 14 Jun 2004 18:01:12 +0200
 

## ltrace 0.3.35

=== sysdeps/linux-gnu/s390/Makefile ===
#
# S/390 version
# Copyright (C) 2001 IBM Poughkeepsie, IBM Corporation
#
OBJ	=	trace.o regs.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/sparc/Makefile ===
OBJ	=	regs.o trace.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/x86_64/Makefile ===
OBJ	=	trace.o regs.o ffcheck.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== debian/changelog ===
ltrace (0.3.35) unstable; urgency=low

  * Fixed include line in m68k, caused build problems

 -- Juan Cespedes <cespedes@debian.org>  Fri, 16 Jul 2004 18:00:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: binutils-dev
 
 Package: ltrace
-Architecture: i386 arm m68k s390 powerpc
+Architecture: i386 arm m68k s390 powerpc sparc alpha amd64
 Depends: ${shlibs:Depends}
 Description: Tracks runtime library calls in dynamically linked programs
  ltrace is a debugging program which runs a specified command until it

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,6 @@
 		gzip -9f debian/tmp/usr/share/doc/ltrace/README debian/tmp/usr/share/doc/ltrace/changelog
 		cp -p debian/copyright debian/tmp/usr/share/doc/ltrace
 		gzip -9f debian/tmp/usr/share/man/man1/*
-		install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
-		install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
 		dpkg-shlibdeps debian/tmp/usr/bin/ltrace
 		dpkg-gencontrol -isp
 		chown -R root.root debian/tmp

## ltrace 0.3.36

=== sysdeps/linux-gnu/Makefile ===
ARCH		:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

CPPFLAGS	+=	-I$(TOPDIR)/sysdeps/linux-gnu/$(ARCH)

OBJ		=	trace.o proc.o breakpoint.o

all:		sysdep.h signalent.h syscallent.h ../sysdep.o

sysdep.h:	$(ARCH)/arch.h
		cat $(ARCH)/arch.h > sysdep.h

signalent.h:
		cp $(ARCH)/signalent.h signalent.h

syscallent.h:
		cp $(ARCH)/syscallent.h syscallent.h

../sysdep.o:	os.o $(ARCH)/arch.o
		$(CC) -nostdlib -r -o ../sysdep.o os.o $(ARCH)/arch.o

os.o:		$(OBJ)
		$(CC) -nostdlib -r -o os.o $(OBJ)

$(ARCH)/arch.o:	dummy
		$(MAKE) -C $(ARCH)

clean:
		$(MAKE) -C $(ARCH) clean
		rm -f $(OBJ) sysdep.h signalent.h syscallent.h os.o sysdep.o ../sysdep.o

dummy:

## ltrace 0.5

=== sysdeps/linux-gnu/Makefile ===
ARCH		:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
			-e s/arm.*/arm/ -e s/sa110/arm/ -e s/ppc64/ppc/ -e s/s390x/s390/)

CPPFLAGS	+=	-I$(TOPDIR)/sysdeps/linux-gnu/$(ARCH)

OBJ		=	trace.o proc.o breakpoint.o

all:		sysdep.h signalent.h syscallent.h signalent1.h syscallent1.h ../sysdep.o

sysdep.h:	$(ARCH)/arch.h
		cat $(ARCH)/arch.h > sysdep.h

signalent.h:
		cp $(ARCH)/signalent.h signalent.h
signalent1.h:
		if [ -f $(ARCH)/signalent1.h ]; then \
			cp $(ARCH)/signalent1.h signalent1.h; \
		else \
			> signalent1.h; \
		fi

syscallent.h:
		cp $(ARCH)/syscallent.h syscallent.h

syscallent1.h:
		if [ -f $(ARCH)/syscallent1.h ]; then \
			cp $(ARCH)/syscallent1.h syscallent1.h; \
		else \
			> syscallent1.h; \
		fi

../sysdep.o:	os.o $(ARCH)/arch.o
		$(CC) -nostdlib -r -o ../sysdep.o os.o $(ARCH)/arch.o

os.o:		$(OBJ)
		$(CC) -nostdlib -r -o os.o $(OBJ)

$(ARCH)/arch.o:	dummy
		$(MAKE) -C $(ARCH)

clean:
		$(MAKE) -C $(ARCH) clean
		rm -f $(OBJ) sysdep.h signalent.h signalent1.h syscallent.h
		rm -f syscallent1.h os.o sysdep.o ../sysdep.o

dummy:

=== sysdeps/linux-gnu/arm/Makefile ===
OBJ	=	trace.o regs.o plt.o

all:		arch.o

arch.o:		$(OBJ) arch.h
		$(CC) -nostdlib -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/ia64/Makefile ===
OBJ	=	trace.o regs.o plt.o breakpoint.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/m68k/Makefile ===
OBJ	=	trace.o regs.o plt.o

all:		arch.o

arch.o:		$(OBJ)
		$(CC) -nostdlib -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/s390/Makefile ===
#
# S/390 version
# Copyright (C) 2001 IBM Poughkeepsie, IBM Corporation
#
OBJ	=	trace.o regs.o plt.o

all:		arch.o

arch.o:		$(OBJ)
		$(CC) -nostdlib -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/sparc/Makefile ===
OBJ	=	regs.o trace.o plt.o

all:		arch.o

arch.o:		$(OBJ)
		$(CC) -nostdlib -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

=== sysdeps/linux-gnu/x86_64/Makefile ===
OBJ	=	trace.o regs.o plt.o

all:		arch.o

arch.o:		$(OBJ)
		$(CC) -nostdlib -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o

## ltrace 0.5+r80-0~osmrc1-1

=== debian/changelog ===
ltrace (0.5+r80-0~osmrc1-1) unstable; urgency=low

  * Fixed missing build-dependency for quilt.
  * Fixes: NB#65675

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed,  3 Oct 2007 13:54:01 +0300

ltrace (0.5+r80-0~osmrc1) unstable; urgency=low

  * INdT OSMRC release
  * Fix ltrace warnings when target application is built with Glibc 2.5
  * Fixes to clone() - related issues

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed,  3 Oct 2007 13:09:13 +0300

ltrace (0.5-2) unstable; urgency=low

  * Fixed compilation issue in ppc

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Aug 2007 13:53:27 +0200

ltrace (0.5+20070629-0~osmrc3) unstable; urgency=low

  * INdT OSMRC release
  * Fix support for ARM targets
  * Fix exec() tracing testcase cleanup.
  * Fix memory corruption when loading function prototypes from ltrace.conf.
  * Save function argument registers that may be overwritten during function
    call.
  * Partially revert change in r77 that broke fork() tracing.
  * Add ARM Thumb mode support.
  * Fixes: NB#64726

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed,  8 Aug 2007 11:49:04 +0300

ltrace (0.5-1) unstable; urgency=low

  * New upstream version
  * Remove some unneeded files in /usr/share/doc (ChangeLog, COPYING...)
  * Fix several typos (closes: Bug#372928)
  * Added more system calls to ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Thu, 30 Aug 2007 14:54:44 +0200

ltrace (0.4-2) unstable; urgency=low

  * Use fclose() to close the output file when using option '-o'
    (thanks to GuiJianfeng <jianfenggui@gmail.com>)

 -- Juan Cespedes <cespedes@debian.org>  Tue, 07 Aug 2007 11:49:27 +0200

ltrace (0.4-1) unstable; urgency=low

  * Rebase code from Redhat patches, now everything lives in SVN
  * Closes: #297483,#315889,#318009 -- add PowerPC64 support
  * Add s390x, ppc64 support
  * This removes the patch from #257903 as it seems unnecessary now.

 -- Ian Wienand <ianw@ieee.org>  Tue, 21 Feb 2006 09:23:09 +1100

ltrace (0.3.38-1) unstable; urgency=low

  * Closes: 306862 -- Add IA64 support

 -- Ian Wienand <ianw@ieee.org>  Fri, 17 Feb 2006 11:17:46 +1100

ltrace (0.3.37-2) unstable; urgency=low

  * Convert to use CDBS
  * Use CDBS to build control; you need to run
  DEB_AUTO_UPDATE_DEBIAN_CONROL=yes ./debian/rules clean
  to make the control file if you checkout from CVS
  * Remove autoconf from build-deps, fix up upstream dist target so we don't
    need it.

 -- Ian Wienand <ianw@ieee.org>  Thu, 16 Feb 2006 22:56:14 +1100

ltrace (0.3.37-1) unstable; urgency=low

  [ Ian Wienand ]
  * Non-maintainer upload
  * Start a "friendly takeover" from Juan
  * Closes: #127503,#280608 -- update man page typos
  * Closes: #339348 -- fix putenv typo in ltrace.conf
  * Closes: #257903 -- incorporate variable length args patch
  * Closes: #282051 -- demange names when -c used with -C
  * Closes: #352389 -- pass build flags through to Makefile
  * Closes: #155571 -- add note in man page about dlopened libraries
  * See "upstream" ChangeLog for other changes (mostly warning fixes)
  * Update README to point to Alioth home: http://ltrace.alioth.debian.org

  [ Christoph Berg ]
  * Create non-native package.
  * Add autoconf to build-deps
  
 -- Ian Wienand <ianw@ieee.org>  Thu, 16 Feb 2006 11:51:32 +1100

ltrace (0.3.36-2) unstable; urgency=low

  * Corrected path for Debian changelog

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Nov 2004 00:33:21 +0100

ltrace (0.3.36-1) unstable; urgency=low

  * Changed distribution to pristine source
  * New Standards-Version (3.6.1)
  * Fixed "--indent" option (closes: Bug#265185)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Nov 2004 00:14:19 +0100

ltrace (0.3.35.1) unstable; urgency=low

  * Non-maintainer upload
  * Applied patch from Jakub Jelinek <jakub@redhat.com> to fix problems with
    binaries built with recent binutils (closes: #274955)
  * Applied patch from Jakub Jelinek to add long/ulong types to ltrace.conf
    for amd64
  * Applied patch from Jakub Jelinek to fix -C
  * Applied patch from Jakub Jelinek to update syscallent.h
  * debian/control: build-depend on dpatch and libelfg0-dev
  * debian/rules: add dpatch support
  * debian/changelog: convert to utf-8

 -- Andrew Pollock <apollock@debian.org>  Fri, 22 Oct 2004 21:43:16 +1000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Juan Cespedes <cespedes@debian.org>
-Standards-Version: 3.5.6
-Build-Depends: binutils-dev
+Uploaders: Ian Wienand <ianw@debian.org>
+Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), binutils-dev, libelfg0-dev, quilt
 
 Package: ltrace
-Architecture: i386 arm m68k s390 powerpc sparc alpha amd64
+Architecture: i386 arm m68k s390 powerpc sparc alpha amd64 ia64 ppc64 armel
 Depends: ${shlibs:Depends}
 Description: Tracks runtime library calls in dynamically linked programs
  ltrace is a debugging program which runs a specified command until it

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PATCHDIRS = debian/patches

install/ltrace::
	rm -f debian/ltrace/usr/share/doc/ltrace/*

## ltrace 0.5.1

=== sysdeps/linux-gnu/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 OBJ		=	trace.o proc.o breakpoint.o
 
-all:		sysdep.h signalent.h syscallent.h signalent1.h syscallent1.h ../sysdep.o
+all:		sysdep.h signalent.h syscallent.h arch_syscallent.h signalent1.h syscallent1.h ../sysdep.o
 
 sysdep.h:	$(ARCH)/arch.h
 		cat $(ARCH)/arch.h > sysdep.h
@@ -29,6 +29,13 @@
 			> syscallent1.h; \
 		fi
 
+arch_syscallent.h:
+		if [ -f $(ARCH)/arch_syscallent.h ]; then \
+			cp $(ARCH)/arch_syscallent.h arch_syscallent.h; \
+		else \
+			> arch_syscallent.h; \
+		fi
+
 ../sysdep.o:	os.o $(ARCH)/arch.o
 		$(CC) -nostdlib -r -o ../sysdep.o os.o $(ARCH)/arch.o
 
@@ -40,7 +47,7 @@
 
 clean:
 		$(MAKE) -C $(ARCH) clean
-		rm -f $(OBJ) sysdep.h signalent.h signalent1.h syscallent.h
+		rm -f $(OBJ) sysdep.h signalent.h signalent1.h syscallent.h arch_syscallent.h
 		rm -f syscallent1.h os.o sysdep.o ../sysdep.o
 
 dummy:

## ltrace 0.5.3

=== testsuite/Makefile ===
# Copyright (C) 1992 - 2001 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

AUTOMAKE_OPTIONS = dejagnu
EXPECT 	= 	expect
RUNTEST = 	runtest
CC	=	@CC@

srcdir = 	.
RUNTESTDEFAULTFLAGS = --srcdir $(srcdir)

CLEANFILES = *.log *.sum site.bak setval.tmp site.exp

SUBDIRS = ltrace.main ltrace.minor ltrace.torture

#all: all-recursive

.SUFFIXES:

check-DEJAGNU: site.exp
	EXPECT=$(EXPECT); export EXPECT;
	@$(RUNTEST) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS);

site.exp:
	@echo 'Making a new site.exp file...'
	@echo '## these variables are automatically generated by make ##' >site.tmp
	@echo '# Do not edit here.  If you wish to override these values' >>site.tmp
	@echo '# edit the last section' >>site.tmp
	@echo 'set srcdir $(srcdir)' >>site.tmp
	@echo "set objdir `pwd`" >>site.tmp
	@echo '## All variables above are generated by configure. Do Not Edit ##' >>site.tmp
	@test ! -f site.exp || \
	sed '1,/^## All variables above are.*##/ d' site.exp >> site.tmp
	@-rm -f site.bak
	@test ! -f site.exp || mv site.exp site.bak
	@mv site.tmp site.exp

check: check-DEJAGNU

clean:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	echo "Making clean in $$subdir"; \
	(cd $$subdir && $(MAKE) clean ) done;
	
	-rm -f $(CLEANFILES)

distclean:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	echo "Making clean in $$subdir"; \
	(cd $$subdir && $(MAKE) distclean ) done;
	-rm -f $(CLEANFILES)

.PHONY: $(RECURSIVE_TARGETS) check  clean distclean realclean

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== sysdeps/linux-gnu/Makefile ===
--- 
+++ 
@@ -1,9 +1,16 @@
-ARCH		:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
-			-e s/arm.*/arm/ -e s/sa110/arm/ -e s/ppc64/ppc/ -e s/s390x/s390/)
+ARCH		:=	$(shell uname -m | sed \
+				-e s/i.86/i386/ \
+				-e s/sun4u/sparc64/ \
+				-e s/sparc64/sparc/ \
+				-e s/arm.*/arm/ \
+				-e s/sa110/arm/ \
+				-e s/ppc64/ppc/ \
+				-e s/s390x/s390/ \
+			)
 
 CPPFLAGS	+=	-I$(TOPDIR)/sysdeps/linux-gnu/$(ARCH)
 
-OBJ		=	trace.o proc.o breakpoint.o
+OBJ		=	events.o trace.o proc.o breakpoint.o
 
 all:		sysdep.h signalent.h syscallent.h arch_syscallent.h signalent1.h syscallent1.h ../sysdep.o

=== testsuite/ltrace.main/Makefile ===
# Copyright (C) 1992 - 2001 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CLEANFILES = *.log *.sum site.bak setval.tmp site.exp

.SUFFIXES:	
clean:
	-rm -f main main-internal system_calls signals parameters
	-rm -f *.o *.so 
	-rm -f *.ltrace
	-rm -f $(CLEANFILES)
distclean: clean


.PHONY: $(RECURSIVE_TARGETS) check  clean distclean realclean

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== testsuite/ltrace.minor/Makefile ===
# Copyright (C) 1992 - 2001 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CLEANFILES = *.log *.sum site.bak setval.tmp site.exp

.SUFFIXES:	
clean:
	-rm -f demangle trace-fork trace-clone trace-exec trace-exec1
	-rm -f time-record-tt time-record-ttt time-record-T
	-rm -f attach-process count-record
	-rm -f print-instruction-pointer
	-rm -f *.o *.so 
	-rm -f *.ltrace
	-rm -f $(CLEANFILES)
distclean: clean


.PHONY: $(RECURSIVE_TARGETS) check  clean distclean realclean

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== testsuite/ltrace.torture/Makefile ===
# Copyright (C) 1992 - 2001 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CLEANFILES = *.log *.sum site.bak setval.tmp site.exp

.SUFFIXES:	
clean:
	-rm -f signals 
	-rm -f *.o *.so 
	-rm -f *.ltrace
	-rm -f $(CLEANFILES)
distclean: clean


.PHONY: $(RECURSIVE_TARGETS) check  clean distclean realclean

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== sysdeps/linux-gnu/arm/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJ	=	trace.o regs.o plt.o
+OBJ	=	trace.o regs.o plt.o breakpoint.o
 
 all:		arch.o

=== sysdeps/linux-gnu/mipsel/Makefile ===
.PHONY: all deps clean docs

OBJ	=	trace.o regs.o plt.o
SRC=$(OBJ:.o=.c)

all:		arch.o

deps:
	$(CC) $(CFLAGS) $(CPPFLAGS) -M  $(SRC) > .depends

arch.o:		$(OBJ) arch.h
		$(CC) -nostdlib -r -o arch.o $(OBJ)

clean:
	-rm -f $(OBJ) arch.o
	-rm -rf html

docs:
	doxygen


-include .depends
